# $Revision: 1.13 $, $Date: 2002/10/11 07:42:27 $
Summary:	Tux Paint - A simple drawing program for children
Summary(pl):	Tux Paint - Prosty program do rysowania dla dzieci
Name:		tuxpaint
Version:	2002.09.29
Release:	2
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.sonic.net/pub/users/nbs/unix/x/%{version}/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.sonic.net/pub/users/nbs/unix/x/%{name}/stamps/%{name}-stamps-%{version}.tar.gz
Source2:	%{name}.desktop
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-opt.patch
URL:		http://www.newbreedsoftware.com/tuxpaint/
BuildRequires:	SDL_image-devel >= 1.2.2
BuildRequires:	SDL_mixer-devel >= 1.2.4
BuildRequires:	SDL_ttf-devel >= 2.0.5
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11

%description
Tux Paint is a simple drawing program for young children (3-10 years
old). It is not meant as a general-purpose drawing tool. It is meant
to be fun and easy to use. Sound effects and a cartoon character help
let the user know what's going on, and keeps them entertained. There
are also extra-large cartoon-style mouse pointer shapes.

%description -l pl
Tux Paint jest prostym programem rysunkowym dla dzieci (3-10 lat). Nie
ma on by narzdziem sucym oglnemu celowi nauki rysowania, lecz
programem atwym w uyciu, sucym zabawie. Efekty dwikowe i
komiksowy charakter pomagaj uytkownikowi w atwym poruszaniu si po
programie, czynic go rozrywkowym. W programie jest take duy
wskanik myszki oraz przyciski utrzymane w stylu komiksowym.

%package stamps
Summary:	Tux Paint - Collection of "rubber stamp" images
Summary(pl):	Tux Paint - Kolekcja obrazw z "gumowej piecztki"
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}

%description stamps
This is a collection of "rubber stamp" images for Tux Paint.

%description stamps -l pl
Jest to kolekcja obrazw dla Tux Painta zwana "gumowa piecztka".

%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p1

install %{SOURCE2} src

%build
%{__make} CC=%{__cc} \
	PREFIX=%{_prefix}/ \
	CONFDIR=%{_sysconfdir}/ \
	DATA_PREFIX=%{_datadir}/tuxpaint/ \
	DOC_PREFIX=%{_datadir}/doc/ \
	ICON_PREFIX=%{_pixmapadir}/ \
	X11_ICON_PREFIX=%{_pixmapadir}/ \
	LOCALE_PREFIX=%{_datadir}/locale \
	OPTFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/%{name},%{_pixmapsdir},%{_applnkdir}/Graphics,%{_datadir}/%{name}/stamps}

%{__make} install \
	_prefix=$RPM_BUILD_ROOT%{_prefix}/ \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/ \
	MAN_PREFIX=$RPM_BUILD_ROOT%{_mandir}/ \
	GNOME_PREFIX=$RPM_BUILD_ROOT%{_applnkdir}/Graphics/ \
	KDE_PREFIX=$RPM_BUILD_ROOT%{_applnkdir}/Graphics/ \
	X11_ICON_PREFIX=$RPM_BUILD_ROOT%{_pixmapsdir}/

install src/tuxpaint.conf $RPM_BUILD_ROOT%{_sysconfdir}
install data/images/icon48x48.png $RPM_BUILD_ROOT%{_pixmapsdir}/tuxpaint.png

%{__make} -C %{name}-stamps-%{version} install \
	DATA_PREFIX=$RPM_BUILD_ROOT%{_datadir}/%{name}/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/tuxpaint.conf
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/brushes
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/images
%{_datadir}/%{name}/sounds
%{_applnkdir}/Graphics/*
%{_pixmapsdir}/*

%files stamps
%defattr(644,root,root,755)
%{_datadir}/%{name}/stamps

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tuxpaint.spec,v $
Revision 1.13  2002/10/11 07:42:27  qboosh
- added opt patch, release 2

Revision 1.12  2002/10/10 15:48:26  kloczek
- finished.

Revision 1.11  2002/10/10 11:15:56  qboosh
- fixed install

Revision 1.10  2002/10/09 13:30:18  qboosh
- typos, fixed files list, cleanups

Revision 1.9  2002/10/06 07:48:10  djrzulf
- another typo,

Revision 1.8  2002/10/05 17:21:07  djrzulf
- fixed typo,

Revision 1.7  2002/10/05 15:51:15  djrzulf
- .desktop file from repo

Revision 1.6  2002/10/05 14:46:21  djrzulf
- section clean

Revision 1.5  2002/10/05 14:20:53  djrzulf
- fixed Group,

Revision 1.4  2002/10/05 14:19:37  djrzulf
- finished, Release 1, STBR,
- Have fun!

Revision 1.3  2002/10/05 13:08:53  djrzulf
- Release 0.2, some cleanups, temporary save,

Revision 1.2  2002/10/05 11:50:23  djrzulf
- summary and desc updated,

Revision 1.1  2002/10/04 22:02:25  cieciwa
- initial release 0.1,
- NFY needs %%description, %%files, %%build.
